Summary: Linbot is Site Management Tool for webmasters.
Name: linbot
Version: 0.2
Release: 1
Source0: http://home1.gte.net/marduk/linbot/linbot-0.2.tar.gz
Source1: linbot.csh
Source2: linbot.sh
Patch0: linbot.path.patch
Copyright: GPL
Group: Network/Utilities
URL: http://home1.gte.net/marduk/linbot/index.html
Packager: Piotr Haberko <gumis@wsi.edu.pl>
Buildroot: /tmp/linbot
Requires: python >= 1.5
BuildArchitectures: noarch

%description
Linbot allows to:
* View The Structure Of A Site
* Track Down Broken Links
* Find Potentially Outdated Web Pages
* List Links Pointing To External Sites
* View Portfolio Of Inline Images
* Do All This Periodically And Without User Attention

%changelog
* Thu Feb 5 1998 Piotr Haberko <gumis@wsi.edu.pl>
- Initial version 0.2

%prep
%setup -n linbot
%patch0 -p1 

%build

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/linbot
mkdir -p ${RPM_BUILD_ROOT}/etc/profile.d
mkdir -p ${RPM_BUILD_ROOT}/usr/bin

cp -af linbot.py ${RPM_BUILD_ROOT}/usr/lib/linbot/
cp -af ${RPM_SOURCE_DIR}/linbot.csh ${RPM_BUILD_ROOT}/etc/profile.d/
cp -af ${RPM_SOURCE_DIR}/linbot.sh ${RPM_BUILD_ROOT}/etc/profile.d/
cp -af config.py ${RPM_BUILD_ROOT}/usr/lib/linbot/
cp -af config.pyc ${RPM_BUILD_ROOT}/usr/lib/linbot/
cp -af myUrlLib.py ${RPM_BUILD_ROOT}/usr/lib/linbot/
cp -af robotparser.py ${RPM_BUILD_ROOT}/usr/lib/linbot/
ln -sf /usr/lib/linbot/linbot.py ${RPM_BUILD_ROOT}/usr/bin/linbot

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%attr(-, root, root) %dir /etc/profile.d
%attr(-, root, root) %dir /usr/lib/linbot
%attr(-, root, root) %doc CHANGES COPYING README INSTALL TODO
%attr(644, root, root) %config /usr/lib/linbot/config.py
%attr(644, root, root) %config /usr/lib/linbot/config.pyc
%attr(755, root, root) %config /etc/profile.d/linbot.csh
%attr(755, root, root) %config /etc/profile.d/linbot.sh
%attr(755, root, root) /usr/lib/linbot/linbot.py
%attr(644, root, root) /usr/lib/linbot/myUrlLib.py
%attr(644, root, root) /usr/lib/linbot/robotparser.py
%attr(755, root, root) /usr/bin/linbot
